package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideSewageRanking;
import com.lightinit.hsdatashow.entity.CountrysideSewageRankingExample;
import java.util.List;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.model.admin.CountrysideGarbageModel;
import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

public interface CountrysideSewageRankingMapper {
    long countByExample(CountrysideSewageRankingExample example);

    int deleteByExample(CountrysideSewageRankingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideSewageRanking record);

    int insertSelective(CountrysideSewageRanking record);

    List<CountrysideSewageRanking> selectByExample(CountrysideSewageRankingExample example);

    CountrysideSewageRanking selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideSewageRanking record, @Param("example") CountrysideSewageRankingExample example);

    int updateByExample(@Param("record") CountrysideSewageRanking record, @Param("example") CountrysideSewageRankingExample example);

    int updateByPrimaryKeySelective(CountrysideSewageRanking record);

    int updateByPrimaryKey(CountrysideSewageRanking record);

    List<CountrysideGarbageModel> getCountrysideSewageRanking(@Param("year") int year);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByDistributionId(Long id);
}